Item Logo
Wms apiApi referenceOrder query api

DN Item Level Query

DN Item Level Query API

DN Item Level Query API is designed to retrieve detailed item-level information within a Delivery Notification in a WMS system. This article introduces the general DN Item Level Query API for easily understanding and applying this API.

Introduction

DN Item Level Query enable users to query and access specifics such as item id, status, quantity, UOM and other relevant details tied to each item in the outbound order. It is useful for tracking and managing the individual items within a delivery, ensuring accuracy in the shipment and fulfillment process.

API Request

API: POST /edi/outbound/order-item-level/search-by-paging Body Request:

Body Parameter

Required

Description

Note

FacilityID

Y

Facility ID

"889"

CustomerID

Y

Customer ID

"AUKINT0001"

CompanyID

Y

Company ID

"LT"

PONo

N

PO Number

"8957515451-10"

ReferenceNo

N

Reference Number

"LIV2020021804-10"

UpdatedWhenFrom

N

Updated Date From

"2022-02-01T00:00:00-08:00"

UpdatedWhenTo

N

Updated Date To

"2022-02-03T00:00:00-08:00"

Paging

N

Page Object

"PageNo": 2

API Return

It returns the order list with the item info, for more detail, please refer to the following example.

Example

Request

json { "FacilityID":"889", "CustomerID":"AUKINT0001", "CompanyID":"LT", "UpdatedWhenFrom": "2022-02-01T00:00:00-08:00", "UpdatedWhenTo": "2022-02-03T00:00:00-08:00", "Paging": { "PageNo": 2 } }

Response

json // Success return { "results": { "head": [ "Item ID", "Short Description", "Description", "Lot #", "Grade", "Supplier", "Title", "Order Qty", "Shipped Qty", "UOM", "Order Total CFT", "Shipped Total CFT", "Order Weight", "Shipped Weight", "Pallet QTY", "Tracking No", "Buyer Item ID", "Unit Price", "Units Per Pallet", "EAN/UPC", "Order ItemLine Dynamic Property" ], "data": [] }, "paging": { "totalCount": 0, "pageNo": 1, "totalPage": 0, "startIndex": 1, "endIndex": 0, "limit": 100 } }